`configure' configures rsync to adapt to many kinds of systems.

Usage: /src/pkg/jobextra/rsync/src/rsync/configure.sh [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
      --help=short        display options specific to this package
      --help=recursive    display the short help of all the included packages
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print `checking ...' messages
      --cache-file=FILE   cache test results in FILE [disabled]
  -C, --config-cache      alias for `--cache-file=config.cache'
  -n, --no-create         do not create output files
      --srcdir=DIR        find the sources in DIR [configure dir or `..']

Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [/usr/local]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, `make install' will install all the files in
`/usr/local/bin', `/usr/local/lib' etc.  You can specify
an installation prefix other than `/usr/local' using `--prefix',
for instance `--prefix=$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR            user executables [EPREFIX/bin]
  --sbindir=DIR           system admin executables [EPREFIX/sbin]
  --libexecdir=DIR        program executables [EPREFIX/libexec]
  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
  --runstatedir=DIR       modifiable per-process data [LOCALSTATEDIR/run]
  --libdir=DIR            object code libraries [EPREFIX/lib]
  --includedir=DIR        C header files [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
  --infodir=DIR           info documentation [DATAROOTDIR/info]
  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
  --mandir=DIR            man documentation [DATAROOTDIR/man]
  --docdir=DIR            documentation root [DATAROOTDIR/doc/rsync]
  --htmldir=DIR           html documentation [DOCDIR]
  --dvidir=DIR            dvi documentation [DOCDIR]
  --pdfdir=DIR            pdf documentation [DOCDIR]
  --psdir=DIR             ps documentation [DOCDIR]

System types:
  --build=BUILD     configure for building on BUILD [guessed]
  --host=HOST       cross-compile to build programs to run on HOST [BUILD]

Optional Features:
  --disable-option-checking  ignore unrecognized --enable/--with options
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --disable-debug         disable to omit debugging symbols and features
  --enable-profile        enable to turn on CPU profiling
  --disable-md2man        disable to omit manpage creation
  --enable-maintainer-mode
                          enable to turn on extra debug features
  --enable-roll-simd      enable/disable to control rolling-checksum SIMD
                          optimizations (requires c++)
  --disable-largefile     omit support for large files
  --disable-ipv6          disable to omit ipv6 support
  --disable-locale        disable to omit locale features
  --disable-openssl       disable to omit openssl crypto library
  --enable-md5-asm        enable/disable to control MD5 ASM optimizations
  --enable-roll-asm       enable/disable to control rolling-checksum ASM
                          optimizations (requires --enable-roll-simd)
  --disable-xxhash        disable to omit xxhash checksums
  --disable-zstd          disable to omit zstd compression
  --disable-lz4           disable to omit LZ4 compression
  --disable-iconv-open    disable to avoid all use of iconv_open()
  --disable-iconv         disable to omit the --iconv option
  --disable-acl-support   disable to omit ACL support
  --disable-xattr-support disable to omit extended attributes

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-rrsync           also install the rrsync script and its manpage
  --with-included-popt    use bundled popt library, not from system
  --with-included-zlib    use bundled zlib library, not from system
  --with-protected-args   make --protected-args option the default
  --with-rsync-path=PATH  set default --rsync-path to PATH (default: rsync)
  --with-rsyncd-conf=PATH set configuration file for rsync server to PATH
                          (default: /etc/rsyncd.conf)
  --with-rsh=CMD          set remote shell command to CMD (default: ssh)
  --with-nobody-user=USER set the default unprivileged user (default nobody)
  --with-nobody-group=GROUP
                          set the default unprivileged group (default nobody
                          or nogroup)

Some influential environment variables:
  CC          C compiler command
  CFLAGS      C compiler flags
  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
              nonstandard directory <lib dir>
  LIBS        libraries to pass to the linker, e.g. -l<library>
  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
              you have headers in a nonstandard directory <include dir>
  CPP         C preprocessor
  CXX         C++ compiler command
  CXXFLAGS    C++ compiler flags

Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.

Report bugs to <https://rsync.samba.org/bug-tracking.html>.
